#!/usr/bin/python
# -*- coding:utf-8 -*-
import sys
import os

import logging

libdir = os.path.join(os.path.dirname(os.path.realpath(__file__)), 'lib')
if os.path.exists(libdir):
    sys.path.append(libdir)
from waveshare_epd import epd4in37g

logging.basicConfig(level=logging.INFO)

try:
    #logging.info("epd4in37g Demo")

    epd = epd4in37g.EPD()   
    
    epd.init()
    epd.Clear()
    logging.info("Clear Screen...")
    epd.sleep()
        
except IOError as e:
    logging.info(e)
    
except KeyboardInterrupt:    
    logging.info("ctrl + c:")
    epd4in37g.epdconfig.module_exit()
    exit()
